#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.program = void 0;
var chalk_1 = __importDefault(require("chalk"));
var clear_1 = __importDefault(require("clear"));
var cfonts_1 = __importDefault(require("cfonts"));
var clui_1 = __importDefault(require("clui"));
var open_1 = __importDefault(require("open"));
var strip_color_1 = __importDefault(require("strip-color"));
var prompts_1 = require("./prompts");
var puppeteer_1 = require("./puppeteer");
var dataParser_1 = require("./dataParser");
var Spinner = clui_1.default.Spinner;
var spinner = new Spinner('Loading, please wait!');
exports.program = {
    start: function (path) { return __awaiter(void 0, void 0, void 0, function () {
        var inputURL, _a, data, parsed, error_1, errors;
        return __generator(this, function (_b) {
            switch (_b.label) {
                case 0:
                    // Heading creation
                    clear_1.default();
                    cfonts_1.default.say('equa11y', {
                        font: 'simple3d',
                        space: false,
                        gradient: ['#ff3333', 'magenta', '#00bebe'],
                        transitionGradient: true,
                    });
                    _b.label = 1;
                case 1:
                    _b.trys.push([1, 7, , 9]);
                    if (!(path)) return [3 /*break*/, 2];
                    _a = { url: path };
                    return [3 /*break*/, 4];
                case 2: return [4 /*yield*/, prompts_1.prompts.askPath()];
                case 3:
                    _a = _b.sent();
                    _b.label = 4;
                case 4:
                    inputURL = _a;
                    spinner.start();
                    return [4 /*yield*/, puppeteer_1.puppet(inputURL.url)];
                case 5:
                    data = _b.sent();
                    parsed = dataParser_1.dataParser(data);
                    spinner.stop();
                    // Ask user for next step
                    return [4 /*yield*/, exports.program.loop(parsed, inputURL.url)];
                case 6:
                    // Ask user for next step
                    _b.sent();
                    return [3 /*break*/, 9];
                case 7:
                    error_1 = _b.sent();
                    spinner.stop();
                    return [4 /*yield*/, prompts_1.prompts.askError(error_1)];
                case 8:
                    errors = _b.sent();
                    if (errors.startOver === 'quit')
                        process.exit(0);
                    else if (errors.startOver === 'search again')
                        exports.program.start();
                    return [3 /*break*/, 9];
                case 9: return [2 /*return*/];
            }
        });
    }); },
    loop: function (parsed, path, targetLevel) { return __awaiter(void 0, void 0, void 0, function () {
        var options, id, arrow, targetLevel_1;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    // Reset the display
                    clear_1.default();
                    cfonts_1.default.say('equa11y', {
                        font: 'simple3d',
                        space: false,
                        gradient: ['#ff3333', 'magenta', '#00bebe'],
                        transitionGradient: true,
                    });
                    console.log(chalk_1.default.bold('Testing:'), path);
                    return [4 /*yield*/, prompts_1.prompts.askOptions(parsed, targetLevel)];
                case 1:
                    options = _a.sent();
                    // remove color for processing
                    options.res = strip_color_1.default(options.res);
                    if (options.res === 'quit')
                        process.exit(0);
                    // check to see if selection is a link
                    else if (options.res.trim().slice(0, 4) === 'http') {
                        open_1.default(options.res.trim());
                        exports.program.loop(parsed, path);
                    }
                    else if (options.res === 'new url')
                        exports.program.start();
                    else if (options.res === 'refresh')
                        exports.program.start(path);
                    // check if nested
                    else if (options.res[0] === ' ') {
                        id = options.res.trim().split(' ').slice(1, -7).join(' ');
                        exports.program.loop(parsed, path, id);
                    }
                    // Parse leading arrow
                    else {
                        arrow = options.res[0];
                        if (arrow === '⇒') {
                            targetLevel_1 = options.res.split(' ')[1];
                            exports.program.loop(parsed, path, targetLevel_1);
                        }
                        else {
                            exports.program.loop(parsed, path);
                        }
                    }
                    return [2 /*return*/];
            }
        });
    }); },
};
exports.program.start();
