"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.prompts = void 0;
var inquirer_1 = require("inquirer");
var menu_1 = require("./menu");
exports.prompts = {
    askPath: function () {
        var questions = [
            {
                name: 'url',
                type: 'input',
                message: 'Input URL or path:',
            },
        ];
        return inquirer_1.prompt(questions);
    },
    askOptions: function (results, target) {
        var paths = menu_1.menu.askMenu(results, target);
        var questions = [
            {
                name: 'res',
                type: 'list',
                pageSize: 35,
                message: 'anything else?',
                choices: __spreadArrays(['refresh', 'new url', 'quit', new inquirer_1.Separator()], paths),
            },
        ];
        return inquirer_1.prompt(questions);
    },
    askError: function (error) {
        var questions = [
            {
                name: 'startOver',
                type: 'list',
                message: "There was an error, do you want to try again? " + error,
                choices: ['search again', 'quit'],
            },
        ];
        return inquirer_1.prompt(questions);
    },
};
